Bug 121676 - Update Liberation fonts from new source
Summary: Update Liberation fonts from new source
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.2.0.0.beta1+
Hardware: All All
: medium enhancement
Assignee: Heiko Tietze
URL:
Whiteboard: target:6.3.0 target:6.2.0.1
Keywords:
Depends on:
Blocks: Fonts-Bundled
  Show dependency treegraph
 
Reported: 2018-11-23 14:24 UTC by Volga
Modified: 2018-12-18 07:58 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Volga 2018-11-23 14:24:33 UTC
Description:
Liberation fonts now released new version from following resources:
https://github.com/liberationfonts/liberation-fonts/releases
https://github.com/liberationfonts/liberation-sans-narrow/releases
So it’s resonable to update them.

Steps to Reproduce:
-

Actual Results:
-

Expected Results:
-


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Xavier Van Wijmeersch 2018-11-23 18:02:35 UTC
+1

I agree with the request
Comment 2 Heiko Tietze 2018-12-17 13:03:14 UTC
We don't ship Liberation Narrow, AFAICS.
Comment 3 Heiko Tietze 2018-12-17 13:08:23 UTC
(In reply to Heiko Tietze from comment #2)
> We don't ship Liberation Narrow, AFAICS.

Wrong, we do.

export FONT_LIBERATION_NARROW_TARBALL := 134d8262145fc793c6af494dcace3e71-liberation-fonts-ttf-1.07.4.tar.gz
export FONT_LIBERATION_TARBALL := 5c781723a0d9ed6188960defba8e91cf-liberation-fonts-ttf-2.00.1.tar.gz
Comment 4 Commit Notification 2018-12-18 00:41:16 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/9eacb42ca081302faa62ac0f8c0af0adfa0e920b%5E%21

Resolves: tdf#121676 - Update Liberation fonts from new source

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2018-12-18 07:58:45 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/56cbc21e0a5837726f4a68c311b68433ad5064d1%5E%21

Resolves: tdf#121676 - Update Liberation fonts from new source

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.